LN(1)

BEZEICHNUNG
ln - Links (Verknüpfungen) zwischen Dateien erstellen

ÜBERSICHT
ln [OPTION]… [-T] ZIEL LINKNAME
ln [OPTION]… ZIEL
ln [OPTION]… ZIEL… VERZEICHNIS
ln [OPTION]… -t VERZEICHNIS ZIEL…

BESCHREIBUNG

In der 1. Form: Einen Link (Verknüpfung) namens LINKNAME auf ZIEL erstellen. In der 2. Form: Einen Link auf ZIEL im aktuellen Verzeichnis erstellen. In der 3. und 4. Form: Links zu jedem ZIEL in VERZEICHNIS erstellen. Standardmäßig werden harte Links erstellt, für symbolische Links ist die Option --symbolic anzugeben. In der Voreinstellung dürfen alle Ziele (Namen des neuen Links) noch nicht exisitieren. Beim Erzeugen von harten Links muss jedes ZIEL existieren. Bei symbolischen Links kann dagegen beliebiger Text stehen; bei späterer Auflösung wird ein relativer Link bezogen auf sein Elternverzeichnis interpretiert.

Die zwingend erforderlichen Argumente für Optionen sind für deren Kurz- und Langform gleich.

--backup[=STEUERUNG]
    Eine Sicherungskopie von jeder vorhandenen Zieldatei erstellen

-b  Wie --backup, akzeptiert aber kein Argument

-d, -F, --directory
    Dem Superuser den Versuch erlauben, harte Verknüpfungen für Verzeichnisse anzulegen, falls dies vom System unterstützt wird

-f, --force
    Vorhandene Zieldateien entfernen

-i, --interactive
    Abfrage, ob das Ziel entfernt werden soll

-L, --logical
    ZIELe dereferenzieren, die symbolische Links sind

-n, --no-dereference
    LINKNAME als normale Datei behandeln, falls er ein symbolischer Link auf ein Verzeichnis ist

-P, --physical
    Harte Links direkt auf symbolische Links anlegen

-r, --relative
    erstellt mit -s symbolische Links relativ zum Ort des Links.

-s, --symbolic
    erstellt symbolische Links statt harten Links.

-S, --suffix=ENDUNG
    überschreibt die übliche Endung für Sicherungskopien.

-t, --target-directory=VERZEICHNIS
    VERZEICHNIS angeben, in dem die Links erstellt werden sollen

-T, --no-target-directory
    LINKNAME immer als normale Datei behandeln

-v, --verbose
    Den Namen jeder verlinkten Datei ausgeben

--help
    Zeigt Hilfeinformationen an und beendet das Programm.

--version
    Gibt Versionsinformationen aus und beendet das Programm.

Die Endung für Sicherheitskopien ist »~«, außer wenn sie mit --suffix oder SIMPLE_BACKUP_SUFFIX gesetzt wurde. Die Methode der Versionssteuerung kann mit der Option --backup oder der Umgebungsvariablen VERSION_CONTROL ausgewählt werden. Mögliche Werte sind:

none, off
    erstellt niemals Sicherheitskopien (selbst wenn --backup angegeben wurde).

numbered, t
    erstellt nummerierte Sicherheitskopien.

existing, nil
    erstellt nummerierte (»numbered«) Sicherheitskopien, wenn solche existieren, sonst einfache (»simple«).

simple, never
    erstellt immer einfache Sicherheitskopien.

Durch die Verwendung von -s werden -L und -P ignoriert. Andernfalls steuert die zuletzt angegebene Option das Verhalten, wenn ein ZIEL ein symbolischer Link ist, mit der Standardeinstellung -P.

AUTOR
Geschrieben von Mike Parker und David MacKenzie.

FEHLER MELDEN
Melden Sie Fehler (auf Englisch) an bug-coreutils@gnu.org.
Website der GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: https://www.gnu.org/gethelp/
Melden Sie Fehler in der Programmübersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2026 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
link(2), symlink(2)

Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/ln>
oder lokal verfügbar mit: info '(coreutils) ln invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Helge Kreutzmann <debian@helgefjell.de>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.